APISnippets
List snippets
List reply snippets in the workspace. Cursor-paginated. Requires the Pro plan and the snippets:read scope.
GET
/snippetscurl -X GET "https://productlane.com/api/v2/snippets" \
-H "Authorization: Bearer $PRODUCTLANE_API_KEY"Authorization
AuthorizationstringheaderrequiredBearer authentication header of the form
Bearer <token>, where<token>is your auth token.
Parameters
limitintegerquerycursorstringquerytitle_containsstringqueryfolder_idstringquerycreated_afterstring<date-time>querycreated_beforestring<date-time>queryupdated_afterstring<date-time>queryupdated_beforestring<date-time>query
Response
application/json
Successful response
dataobject[]requiredpageobjectrequired
{
"data": [
{
"id": "string",
"title": "string",
"html": "string",
"folder_id": "string",
"created_at": "string",
"updated_at": "string"
}
],
"page": {
"cursor": "string",
"has_more": true,
"limit": 0
}
}